Subject: Re: linux-next: build failure after merge of the nvmem tree

From: Heiko Stübner <[email-masked]>
Date: Tue, 19 Aug 2025 13:14:52 +0200

Hi,

Am Dienstag, 19. August 2025, 05:40:39 Mitteleuropäische Sommerzeit schrieb Stephen Rothwell:
> After merging the nvmem tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> In file included from drivers/nvmem/qnap-mcu-eeprom.c:12:
> include/linux/mfd/qnap-mcu.h:13:9: error: unknown type name 'u32'
>    13 |         u32 baud_rate;
>       |         ^~~

[...]

> 
> Caused by commit
> 
>   117c3f3014a9 ("nvmem: add driver for the eeprom in qnap-mcu controllers")
> 
> I have used the nvmem tree from next-20250818 for today.

bah, sorry about messing this up.

While I encountered this, and fixed that with the pending
  https://lore.kernel.org/all/[email-masked]/

I completely missed that the nvmem driver applied alone would break
without that change :-( .

I've send
  https://lore.kernel.org/all/[email-masked]/

as a fix that removes the issue for the nvmem driver.

Heiko